/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.bean;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 用户观看直播记录(tbl_live_watch)
 *
 * @author bianj
 * @version 1.0.0 2017-07-14
 */
@Entity
@Table(name = "tbl_live_watch")
public class Tbl_Live_Watch {

    /**
     * 版本号
     */
    private static final long serialVersionUID = -3178390426587691302L;

    /**
     * 直播间ID
     */
    @Id
    @Column(name = "room_id", unique = true, nullable = false, length = 10)
    private Integer roomId;

    /**
     * 用户id
     */
    @Id
    @Column(name = "user_id", unique = true, nullable = false, length = 10)
    private Integer userId;

    /**
     * 修改时间
     */
    @Column(name = "update_time", nullable = true)
    private Date updateTime;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 获取直播间ID
     *
     * @return 直播间ID
     */
    public Integer getRoomId() {
        return this.roomId;
    }

    /**
     * 设置直播间ID
     *
     * @param roomId 直播间ID
     */
    public void setRoomId(Integer roomId) {
        this.roomId = roomId;
    }

    /**
     * 获取用户id
     *
     * @return 用户id
     */
    public Integer getUserId() {
        return this.userId;
    }

    /**
     * 设置用户id
     *
     * @param userId 用户id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取修改时间
     *
     * @return 修改时间
     */
    public Date getUpdateTime() {
        return this.updateTime;
    }

    /**
     * 设置修改时间
     *
     * @param updateTime 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * 设置创建时间
     *
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
